Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037977
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2018-02-20 14:292018-03-07 01:04
ReporternitasujenaView Statuspublic 
Assigned Tomarkmm82 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revision8e42c27f5269
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037977: Sales Invoice dimensional report showing merged cell

DescriptionThe issue with the core Sales invoice dimensional report is that when we extract the SIDR in excel format , there are two columns (D,E) which get merged, because of which the user is not able to apply a few formulas and is having issue with data.The issue with the core Sales invoice dimensional report is that when we extract the SIDR in excel format , there are two columns (D,E) which get merged, because of which the user is not able to apply a few formulas and is having issue with data.
Steps To Reproduce1.Go to Sales Invoice Dimensional Report and take a print in xls format.
TagsNo tags attached.
Attached Filespng file icon Screenshot from 2018-02-20 18-48-15.png [^] (253,455 bytes) 2018-02-20 14:29

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0102861)
markmm82 (developer)
2018-02-27 23:05

Test plan
Go to Sales Invoice Dimensional Report and take a print in xls format.
Notice the columns are not merged anymore
(0103035)
hgbot (developer)
2018-03-06 17:05

Repository: erp/devel/pi
Changeset: 8e42c27f52697e6c11b74b594703cd631f1946a2
Author: Mark <markmm82 <at> gmail.com>
Date: Thu Mar 01 09:53:36 2018 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/8e42c27f52697e6c11b74b594703cd631f1946a2 [^]

Fixes issue 37977: Sales Invoice dimensional report showing merged cell

Rearranged columns in subreport causing cells were merged

---
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalyses_srpt_doctypecount.jrxml
---
(0103036)
dmiguelez (developer)
2018-03-06 17:06

Code Review + Testing Ok
(0103051)
hudsonbot (developer)
2018-03-07 01:04

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/14b1dec19bfc [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-02-20 14:29 nitasujena New Issue
2018-02-20 14:29 nitasujena Assigned To => Triage Finance
2018-02-20 14:29 nitasujena File Added: Screenshot from 2018-02-20 18-48-15.png
2018-02-20 14:29 nitasujena Modules => Core
2018-02-20 14:29 nitasujena Triggers an Emergency Pack => No
2018-02-21 23:20 markmm82 Assigned To Triage Finance => markmm82
2018-02-21 23:20 markmm82 Status new => scheduled
2018-02-27 23:05 markmm82 Note Added: 0102861
2018-03-06 17:05 hgbot Checkin
2018-03-06 17:05 hgbot Note Added: 0103035
2018-03-06 17:05 hgbot Status scheduled => resolved
2018-03-06 17:05 hgbot Resolution open => fixed
2018-03-06 17:05 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/8e42c27f52697e6c11b74b594703cd631f1946a2 [^]
2018-03-06 17:06 dmiguelez Review Assigned To => dmiguelez
2018-03-06 17:06 dmiguelez Note Added: 0103036
2018-03-06 17:06 dmiguelez Status resolved => closed
2018-03-06 17:06 dmiguelez Fixed in Version => 3.0PR18Q2
2018-03-07 01:04 hudsonbot Checkin
2018-03-07 01:04 hudsonbot Note Added: 0103051


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker